httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Graham Frank" <gfr...@neoservers.com>
Subject Re: [users@httpd] Invalid command 'php_flag'
Date Sun, 21 May 2006 20:00:00 GMT
Check if the libphp4.so file is listed in the httpd.conf file in the LoadModule section.

LoadModule php4_module modules/libphp4.so

tho modules could be libexec or any other directory apache places its modules.

--Graham Frank

-----Original Message-----

From:  "Noah" <admin2@enabled.com>
Subj:  Re: [users@httpd] Invalid command 'php_flag'
Date:  Sun May 21, 2006 1:57 pm
Size:  2K
To:  users@httpd.apache.org

On Sun, 21 May 2006 13:33:00 -0500, Graham Frank wrote
> Hello,
> 
> It appears that you do not have PHP installed.  You can download PHP 
> at www.php.net and compile it as an apache module using
--with-apxs2=/path/to/apxs


Yeah that did not work.

I reinstalled php4 from the /usr/ports and still things are not working.
I reinstalled apache2.2.2 after I reinstalled php4 and things still are not
working

--- snip ---
# pkg_info | grep php4
pkg_info: the package info for package 'gnomedesktop-2.14.1.1' is corrupt
php4-4.4.2_2        PHP Scripting Language (Apache Module and CLI)
php4-bz2-4.4.2_2    The bz2 shared extension for php
php4-ctype-4.4.2_2  The ctype shared extension for php
php4-domxml-4.4.2_2 The domxml shared extension for php
php4-ftp-4.4.2_2    The ftp shared extension for php
php4-gd-4.4.2_2     The gd shared extension for php
php4-gettext-4.4.2_2 The gettext shared extension for php
php4-iconv-4.4.2_2  The iconv shared extension for php
php4-imap-4.4.2_2   The imap shared extension for php
php4-ldap-4.4.2_2   The ldap shared extension for php
php4-mbstring-4.4.2_2 The mbstring shared extension for php
php4-mcal-4.4.2_2   The mcal shared extension for php
php4-mcrypt-4.4.2_2 The mcrypt shared extension for php
php4-mysql-4.4.2_2  The mysql shared extension for php
php4-openssl-4.4.2_2 The openssl shared extension for php
php4-pcre-4.4.2_2   The pcre shared extension for php
php4-session-4.4.2_2 The session shared extension for php
php4-xml-4.4.2_2    The xml shared extension for php
php4-xmlrpc-4.4.2_1 The xmlrpc shared extension for php
php4-zlib-4.4.2_2   The zlib shared extension for php

# pkg_info | grep apache
pkg_info: the package info for package 'gnomedesktop-2.14.1.1' is corrupt
apache-2.2.2        Version 2.2 of Apache web server with prefork MPM.
apachetop-0.12.6    Apache RealTime log stats


---s nip ---

what else can I try here?

Cheers,

Noah


> 
> --Graham Frank
> 
> -----Original Message-----
> 
> From:  "Noah" <admin2@enabled.com>
> Subj:  [users@httpd] Invalid command 'php_flag'
> Date:  Sun May 21, 2006 1:29 pm
> Size:  894 bytes
> To:  "apache" <users@httpd.apache.org>
> 
> apache-2.2.2
> freebsd-4.11
> 
> Hi there,
> 
> I think I have an important module missing.  Can somebody please 
> help me figure out what the next step of troubleshooting is for this 
> situation?
> 
> --- snip ---
> 
> # /usr/local/etc/rc.d/apache22.sh restart
> Performing sanity check on apache22 configuration:
> Syntax error on line 174 of /usr/local/etc/apache22/httpd.conf:
> Invalid command 'php_flag', perhaps misspelled or defined by a 
> module not included in the server configuration
> 
> --- snip ---
> 
> Cheer,s
> 


--- message truncated ---



---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message